# Ember-cli-deploy-stonecircle-plugin-pack

Ember-cli-deploy plugin pack for Stonecircle

## Installation

`npm install --save-dev @stonecircle/ember-cli-deploy-plugin-pack`

if that doesn't work login to npm with `npm login`

if that still doesn't work make sure you are a member of the stonecircle npm org: https://www.npmjs.com/org/stonecircle

## Setup

Install ember-cli-deploy with `ember install ember-cli-deploy --save-dev`

`ember g stonecircle-deploy-config` to generate the basic config

create a file `config/credentials.json` with the config:

```
{
  "accessKeyId": "DA ACCESS KEY",
  "secretAccessKey": "THE SECRET KEY"
}
```

**MAKE SURE** that you add config/credentials.json to your `.gitignore`. **Under no curcumstances** should AWS credentials be committed to git.

Update the `deploy.js` file to add

* make sure `redis.keyPrefix` matches your server's keyPrefix (or `lightning.appName` if you are using [express-lightning-deploy](https://github.com/stonecircle/express-lightning-deploy))
* Bucket name to `s3.bucket`
* the `host`, `username` and `privateKeyPath` to the `ENV['ssh-tunnel']` entries in the required production or staging environments
* If the deployment box isn't the same box redis is running make sure you set `ENV['ssh-tunnel'].dstHost` to the redis host

## Deploying

`ember deploy production --activate`
